commit 72b7bbf9d4482fac6bac81508833e407201e0733
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Mon Nov 4 12:29:01 2024 +0100

    libstdc++: Fix up 117406.cc test [PR117406]
    
    Christophe mentioned in bugzilla that the test FAILs on aarch64,
    I'm not including <climits> and use INT_MAX.
    Apparently during my testing I got it because the test preinclude
    -include bits/stdc++.h
    and that includes <climits>, dunno why that didn't happen on aarch64.
    In any case, either I can add #include <climits>, or because the
    test already has #include <limits> I've changed uses of INT_MAX
    with std::numeric_limits<int>::max(), that should be the same thing.
    But if you prefer
     #include <climits>
    I can surely add that instead.
    
    2024-11-04  Jakub Jelinek  <jakub@redhat.com>
    
            PR libstdc++/117406
            * testsuite/26_numerics/headers/cmath/117406.cc: Use
            std::numeric_limits<int>::max() instead of INT_MAX.
    
    (cherry picked from commit afcbf4dd27c147eb7d8f84e1a41c021eddec777e)

diff --git a/libstdc++-v3/testsuite/26_numerics/headers/cmath/117406.cc b/libstdc++-v3/testsuite/26_numerics/headers/cmath/117406.cc
index 8966c71ecdc..59a5ed83beb 100644
--- a/libstdc++-v3/testsuite/26_numerics/headers/cmath/117406.cc
+++ b/libstdc++-v3/testsuite/26_numerics/headers/cmath/117406.cc
@@ -31,9 +31,9 @@ test ()
   int t0 = std::ilogb(T(4.0));
   VERIFY( t0 == 2 );
   int t1 = std::ilogb(lim::infinity());
-  VERIFY( t1 == INT_MAX );
+  VERIFY( t1 == std::numeric_limits<int>::max() );
   int t2 = std::ilogb(-lim::infinity());
-  VERIFY( t2 == INT_MAX );
+  VERIFY( t2 == std::numeric_limits<int>::max() );
 }
 
 int

